Bug 89871 - disk druid / anaconda fatal error @ install
disk druid / anaconda fatal error @ install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: parted (Show other bugs)
9
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-28 23:16 EDT by tim murphy
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-25 15:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump (42.08 KB, text/plain)
2003-04-28 23:20 EDT, tim murphy
no flags Details

  None (edit)
Description tim murphy 2003-04-28 23:16:13 EDT
Description of problem: unable to install due to apparent disk druid flaw

Version-Release number of selected component (if applicable):

How reproducible: attempt install

Steps to Reproduce:
1. install, graphic or text mode
2. @ time to partition dialog reports anaconda error
3.
    
Actual results: log file

Expected results: disk partitioned & product installed

Additional info:
Comment 1 tim murphy 2003-04-28 23:20:36 EDT
Created attachment 91378 [details]
anaconda dump
Comment 2 Michael Fulbright 2003-04-29 12:06:38 EDT
I have never seen this error - could you give detailed information about the
state of the disk drives before partitioning was attempted, as well as the steps
required during partitioning to trigger this message?
Comment 3 tim murphy 2003-04-30 10:53:24 EDT
PC is a Dell optiplex (a i686) w/ SuSe 8.0 pro currently installed and 256MB 
RAM.
The state of the disk drive before partitioning was/is:

Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/hda6              9373604   2135004   7238600  23% /
proc                         0         0         0   -  /proc
devpts                       0         0         0   -  /dev/pts
/dev/hda1                54416      3844     47763   8% /boot
shmfs                   127736         0    127736   0% /dev/shm
usbdevfs                     0         0         0   -  /proc/bus/usb

The steps during partitioning were the use of the RH auto config -- i.e. 
repartition as desired, during RH 9 install via the gui.
Comment 4 tim murphy 2003-04-30 10:57:03 EDT
This is an i686 PC w/ 256MB RAM with a singel HDD @ 10GB.
The state of the disk drive before partitioning (ie install) was/is:
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/hda6              9373604   2135004   7238600  23% /
proc                         0         0         0   -  /proc
devpts                       0         0         0   -  /dev/pts
/dev/hda1                54416      3844     47763   8% /boot
shmfs                   127736         0    127736   0% /dev/shm
usbdevfs                     0         0         0   -  /proc/bus/usb

The steps that triggered the message were a basic RH9 install via the GUI -- ie 
let RH auto partition the drive.
Comment 5 Michael Fulbright 2003-05-13 12:30:25 EDT
Could you attach the output from 'fdisk -l /dev/hda' please?
Comment 6 tim murphy 2003-05-16 00:41:19 EDT
here ya go.


Disk /dev/hda: 255 heads, 63 sectors, 1662 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1         7     56196   83  Linux
/dev/hda2           447      1663   9773505    5  Extended
Partition 2 does not end on cylinder boundary:
     phys=(1023, 189, 63) should be (1023, 254, 63)
/dev/hda3             8       181   1397655   83  Linux
/dev/hda4           182       213    257040   83  Linux
/dev/hda5           447       477    248976   82  Linux swap
/dev/hda6           478      1644   9373896   83  Linux
/dev/hda7          1645      1651     56196   83  Linux

Partition table entries are not in disk order
Comment 7 Michael Fulbright 2003-05-20 14:51:46 EDT
This appears to be a problem with how parted deals with your partition table.
Comment 8 Jeremy Katz 2004-06-25 15:06:43 EDT
This should be better with current releases.

Note You need to log in before you can comment on or make changes to this bug.